package cn.ezhizao.project.business.BizInspectionStandardsCheck.service;

import java.util.List;

import cn.ezhizao.project.business.BizInspectionStandardsCheck.domain.BizInspectionStandardsCheck;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 检查类别标准Service接口
 *
 * @author ezhizao
 * @date 2024-08-09
 */
public interface IBizInspectionStandardsCheckService extends IService<BizInspectionStandardsCheck>
{
    /**
     * 查询检查类别标准列表
     *
     * @param bizInspectionStandardsCheck 检查类别标准
     * @return 检查类别标准集合
     */
    public List<BizInspectionStandardsCheck> getList(BizInspectionStandardsCheck bizInspectionStandardsCheck);

    /**
     * 物理删除
     * @param bizInspectionStandardsCheck
     * @return 删除结果
     */
    public int physicalDelete(BizInspectionStandardsCheck bizInspectionStandardsCheck);

}
