package cn.ezhizao.project.business.auxiliaryDaywork.service;

import cn.ezhizao.project.business.auxiliaryDaywork.domain.BizAuxiliaryProcess;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 辅助工序Service接口
 *
 * @author ezhizao
 * @date 2024-08-20
 */
public interface IBizAuxiliaryProcessService extends IService<BizAuxiliaryProcess>
{
    /**
     * 查询辅助工序列表
     *
     * @param bizAuxiliaryProcess 辅助工序
     * @return 辅助工序集合
     */
    public List<BizAuxiliaryProcess> getList(BizAuxiliaryProcess bizAuxiliaryProcess);

    /**
     * 物理删除
     * @param bizAuxiliaryProcess
     * @return 删除结果
     */
    public int physicalDelete(BizAuxiliaryProcess bizAuxiliaryProcess);

}
