package cn.ezhizao.project.business.outsource.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import cn.ezhizao.project.business.outsource.domain.BizOutsourcedOrderDetail;

/**
 * 外协单从Mapper接口
 *
 * @author ezhizao
 * @date 2024-05-28
 */
public interface BizOutsourcedOrderDetailMapper extends BaseMapper<BizOutsourcedOrderDetail>
{
    /**
     * 查询外协单从列表
     *
     * @param bizOutsourcedOrderDetail 外协单从
     * @return 外协单从集合
     */
    public List<BizOutsourcedOrderDetail> getList(BizOutsourcedOrderDetail bizOutsourcedOrderDetail);

    /**
     * 物理删除
     * @param bizOutsourcedOrderDetail
     * @return 删除结果
    */
    public int physicalDelete(BizOutsourcedOrderDetail bizOutsourcedOrderDetail);
}
