package cn.ezhizao.project.business.product.domain;

import cn.ezhizao.framework.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import io.swagger.annotations.ApiModelProperty;

/**
 * 外协检查关联对象 process_inspection_relation
 *
 * @author ezhizao
 * @date 2024-10-21
 */
@Data
@TableName(value = "biz_process_inspection_relation")
public class BizProcessInspectionRelation extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 批次id */
    @ApiModelProperty(value = "${comment}")
    private Long lotId;

    /** 检查单id */
    @ApiModelProperty(value = "${comment}")
    private Long processInspectionId;

}
