package cn.ezhizao.project.business.product.domain;

import cn.ezhizao.framework.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import io.swagger.annotations.ApiModelProperty;

/**
 * 外协检查关联从表对象 process_inspection_relation_detail
 *
 * @author ezhizao
 * @date 2024-10-21
 */
@Data
@TableName(value = "biz_process_inspection_relation_detail")
public class BizProcessInspectionRelationDetail extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 检查单关联id */
    @ApiModelProperty(value = "${comment}")
    private Long processInspectionRelationId;

    /** 从表批次id */
    @ApiModelProperty(value = "${comment}")
    private Long lotId;

    /** 检查单id */
    @ApiModelProperty(value = "${comment}")
    private Long processInspectionId;

    @ApiModelProperty("是否为主检查单")
    private Integer isMaster;

}
