package cn.ezhizao.project.business.resourceGroup.mapper;


import cn.ezhizao.project.business.resourceGroup.domain.BizProductionResourceGroupSubPlan;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;

/**
 * 资源组任务分配Mapper接口
 *
 * @author ezhizao
 * @date 2024-01-11
 */
public interface BizProductionResourceGroupSubPlanMapper extends BaseMapper<BizProductionResourceGroupSubPlan>
{
    /**
     * 查询资源组任务分配列表
     *
     * @param bizProductionResourceGroupSubPlan 资源组任务分配
     * @return 资源组任务分配集合
     */
    public List<BizProductionResourceGroupSubPlan> getList(BizProductionResourceGroupSubPlan bizProductionResourceGroupSubPlan);

    /**
     * 物理删除
     * @param bizProductionResourceGroupSubPlan
     * @return 删除结果
    */
    public int physicalDelete(BizProductionResourceGroupSubPlan bizProductionResourceGroupSubPlan);

    List<BizProductionResourceGroupSubPlan> getAotList(BizProductionResourceGroupSubPlan subPlan);
}
