package cn.ezhizao.framework.web.domain;

import cn.ezhizao.project.business.workshop.domain.BizWorkshop;
import cn.ezhizao.project.business.workshop.domain.BizWorkshopTurnover;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

@Data
public class TreeSelectText {
    String text;
    String value;
    String type;
    List<TreeSelectText> children;

    public TreeSelectText() {
    }

    public TreeSelectText(BizWorkshop workshop) {
        this.text = workshop.getName();
        this.value = workshop.getId().toString();
        this.type = "workshop";
        this.children = new ArrayList<>();
    }

    public TreeSelectText(BizWorkshopTurnover board) {
        this.text = board.getCode();
        this.value = board.getId().toString();
        this.type = "board";
        this.children = null;
    }
}
