package cn.ezhizao.project.business.auxiliaryDaywork.domain;

import cn.ezhizao.framework.aspectj.lang.annotation.Excel;
import cn.ezhizao.framework.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 辅助工序对象 biz_auxiliary_process
 *
 * @author ezhizao
 * @date 2024-08-20
 */
@Data
@TableName(value = "biz_auxiliary_process")
public class BizAuxiliaryProcess extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 辅助工序名称 */
    @Excel(name = "辅助工序名称")
    @ApiModelProperty(value = "辅助工序名称")
    private String name;

    /**
     * 租户（厂别）id
     */
    @ApiModelProperty(value = "${comment}")
    private Long tenantId;


    @TableField(exist = true)
    private String remark;

}
