package cn.ezhizao.project.business.equipment.mapper;

import java.util.List;

import cn.ezhizao.project.business.equipment.domain.BizUserEquipmentGroup;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;


/**
 * 员工绑定设备组Mapper接口
 *
 * @author ezhizao
 * @date 2024-01-15
 */
public interface BizUserEquipmentGroupMapper extends BaseMapper<BizUserEquipmentGroup>
{
    /**
     * 查询员工绑定设备组列表
     *
     * @param bizUserEquipmentGroup 员工绑定设备组
     * @return 员工绑定设备组集合
     */
    public List<BizUserEquipmentGroup> getList(BizUserEquipmentGroup bizUserEquipmentGroup);

    /**
     * 物理删除
     * @param bizUserEquipmentGroup
     * @return 删除结果
    */
    public int physicalDelete(BizUserEquipmentGroup bizUserEquipmentGroup);
}
