package cn.ezhizao.project.business.equipment.service;

import cn.ezhizao.project.business.equipment.domain.BizEquipment;
import cn.ezhizao.project.business.equipment.domain.CategoryOptions;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 设备档案Service接口
 *
 * @author ezhizao
 * @date 2023-11-14
 */
public interface IBizEquipmentService extends IService<BizEquipment> {

    /**
     * 物理删除
     *
     * @param id 要删除的数据id
     * @return 删除结果
     */
    int physicalDelete(Long id);
}
