package cn.ezhizao.project.business.outsource.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import cn.ezhizao.project.business.outsource.domain.BizOutsourcedOrderDetailProcess;

/**
 * 外协单从对应的外协工序的从Service接口
 *
 * @author ezhizao
 * @date 2024-05-28
 */
public interface IBizOutsourcedOrderDetailProcessService extends IService<BizOutsourcedOrderDetailProcess>
{
    /**
     * 查询外协单从对应的外协工序的从列表
     *
     * @param bizOutsourcedOrderDetailProcess 外协单从对应的外协工序的从
     * @return 外协单从对应的外协工序的从集合
     */
    public List<BizOutsourcedOrderDetailProcess> getList(BizOutsourcedOrderDetailProcess bizOutsourcedOrderDetailProcess);

    /**
     * 物理删除
     * @param bizOutsourcedOrderDetailProcess
     * @return 删除结果
     */
    public int physicalDelete(BizOutsourcedOrderDetailProcess bizOutsourcedOrderDetailProcess);

}
