package cn.ezhizao.project.business.product.domain;

import cn.ezhizao.framework.aspectj.lang.annotation.Excel;
import cn.ezhizao.framework.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import io.swagger.annotations.ApiModelProperty;

/**
 * 检测室配置对象 biz_inspection_chamber
 *
 * @author ezhizao
 * @date 2024-08-06
 */
@Data
@TableName(value = "biz_inspection_chamber")
public class BizInspectionChamber extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 检查室名称 */
    @Excel(name = "检查室名称")
    @ApiModelProperty(value = "检查室名称")
    private String chamberName;

    /** 检查室编码 */
    @Excel(name = "检查室编码")
    @ApiModelProperty(value = "检查室编码")
    private String chamberCode;

    /** 所在车间 */
    @ApiModelProperty(value = "检查室编码")
    private Long workShopId;

}
