package cn.ezhizao.project.business.product.service;

import java.util.List;

import cn.ezhizao.project.business.product.domain.BizDayworkItemReject;
import com.baomidou.mybatisplus.extension.service.IService;


/**
 * 废品原因Service接口
 *
 * @author ezhizao
 * @date 2023-12-28
 */
public interface IBizDayworkItemRejectService extends IService<BizDayworkItemReject>
{
    /**
     * 查询废品原因列表
     *
     * @param bizDayworkItemReject 废品原因
     * @return 废品原因集合
     */
    public List<BizDayworkItemReject> getList(BizDayworkItemReject bizDayworkItemReject);

    /**
     * 物理删除
     * @param bizDayworkItemReject
     * @return 删除结果
     */
    public int physicalDelete(BizDayworkItemReject bizDayworkItemReject);

    int  removeReject(BizDayworkItemReject rej);
}
