package cn.ezhizao.project.business.product.service;

import java.util.List;

import cn.ezhizao.project.business.product.domain.BizInspectionChamber;
import com.baomidou.mybatisplus.extension.service.IService;


/**
 * 检测室配置Service接口
 *
 * @author ezhizao
 * @date 2024-08-06
 */
public interface IBizInspectionChamberService extends IService<BizInspectionChamber>
{
    /**
     * 查询检测室配置列表
     *
     * @param bizInspectionChamber 检测室配置
     * @return 检测室配置集合
     */
    public List<BizInspectionChamber> getList(BizInspectionChamber bizInspectionChamber);

    /**
     * 物理删除
     * @param bizInspectionChamber
     * @return 删除结果
     */
    public int physicalDelete(BizInspectionChamber bizInspectionChamber);

}
