package cn.ezhizao.project.business.product.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import cn.ezhizao.project.business.product.domain.BizProcessInspectionDetail;

/**
 * 序检明细Service接口
 *
 * @author ezhizao
 * @date 2024-06-20
 */
public interface IBizProcessInspectionDetailService extends IService<BizProcessInspectionDetail>
{
    /**
     * 查询序检明细列表
     *
     * @param bizProcessInspectionDetail 序检明细
     * @return 序检明细集合
     */
    public List<BizProcessInspectionDetail> getList(BizProcessInspectionDetail bizProcessInspectionDetail);

    /**
     * 物理删除
     * @param bizProcessInspectionDetail
     * @return 删除结果
     */
    public int physicalDelete(BizProcessInspectionDetail bizProcessInspectionDetail);

}
