package cn.ezhizao.project.business.product.service;

import cn.ezhizao.project.business.product.domain.BizProductionPlanDetailSubDetailEquipmentUser;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 子计划对应的工序指定的使用设备Service接口
 *
 * @author ezhizao
 * @date 2023-11-20
 */
public interface IBizProductionPlanDetailSubDetailEquipmentUserService extends IService<BizProductionPlanDetailSubDetailEquipmentUser>
{
    /**
     * 查询子计划对应的工序指定的使用设备列表
     *
     * @param bizProductionPlanDetailSubDetailEquipmentUser 子计划对应的工序指定的使用设备
     * @return 子计划对应的工序指定的使用设备集合
     */
    public List<BizProductionPlanDetailSubDetailEquipmentUser> getList(BizProductionPlanDetailSubDetailEquipmentUser bizProductionPlanDetailSubDetailEquipmentUser);

    /**
     * 物理删除
     * @param bizProductionPlanDetailSubDetailEquipmentUser
     * @return 删除结果
     */
    public int physicalDelete(BizProductionPlanDetailSubDetailEquipmentUser bizProductionPlanDetailSubDetailEquipmentUser);

}
