package cn.ezhizao.project.business.storageRetrieval.service;

import java.util.List;

import cn.ezhizao.project.business.product.controller.BizCarrierController;
import cn.ezhizao.project.business.storageRetrieval.domain.BizStorageRetrieval;
import com.baomidou.mybatisplus.extension.service.IService;


/**
 * 零存零取Service接口
 *
 * @author ezhizao
 * @date 2024-10-11
 */
public interface IBizStorageRetrievalService extends IService<BizStorageRetrieval>
{
    /**
     * 查询零存零取列表
     *
     * @param bizStorageRetrieval 零存零取
     * @return 零存零取集合
     */
    public List<BizStorageRetrieval> getList(BizStorageRetrieval bizStorageRetrieval);

    /**
     * 物理删除
     * @param bizStorageRetrieval
     * @return 删除结果
     */
    public int physicalDelete(BizStorageRetrieval bizStorageRetrieval);

}
