package cn.ezhizao.project.business.technologicalProcessDetailDrawing.service;


import cn.ezhizao.project.business.technologicalProcessDetailDrawing.domain.BizTechnologicalProcessDetailDrawing;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 电子图纸Service接口
 *
 * @author ezhizao
 * @date 2024-05-30
 */
public interface IBizTechnologicalProcessDetailDrawingService extends IService<BizTechnologicalProcessDetailDrawing>
{
    /**
     * 查询电子图纸列表
     *
     * @param bizTechnologicalProcessDetailDrawing 电子图纸
     * @return 电子图纸集合
     */
    public List<BizTechnologicalProcessDetailDrawing> getList(BizTechnologicalProcessDetailDrawing bizTechnologicalProcessDetailDrawing);

    /**
     * 物理删除
     * @param bizTechnologicalProcessDetailDrawing
     * @return 删除结果
     */
    public int physicalDelete(BizTechnologicalProcessDetailDrawing bizTechnologicalProcessDetailDrawing);

    /**
     * 查询电子图纸列表
     *
     * @param bizTechnologicalProcessDetailDrawing 电子图纸
     * @return 电子图纸集合
     */
    public List<BizTechnologicalProcessDetailDrawing> getDrawingList(BizTechnologicalProcessDetailDrawing bizTechnologicalProcessDetailDrawing);

}
