package cn.ezhizao.project.business.technologicalProcessDetailDrawingRecords.service.impl;

import java.util.List;
import javax.annotation.Resource;

import cn.ezhizao.project.business.technologicalProcessDetailDrawingRecords.domain.BizTechnologicalProcessDetailDrawingRecords;
import cn.ezhizao.project.business.technologicalProcessDetailDrawingRecords.mapper.BizTechnologicalProcessDetailDrawingRecordsMapper;
import cn.ezhizao.project.business.technologicalProcessDetailDrawingRecords.service.IBizTechnologicalProcessDetailDrawingRecordsService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * 电子图纸操作记录Service业务层处理
 *
 * @author ezhizao
 * @date 2024-06-03
 */
@Service
public class BizTechnologicalProcessDetailDrawingRecordsServiceImpl  extends ServiceImpl<BizTechnologicalProcessDetailDrawingRecordsMapper, BizTechnologicalProcessDetailDrawingRecords> implements IBizTechnologicalProcessDetailDrawingRecordsService
{
    @Resource
    private BizTechnologicalProcessDetailDrawingRecordsMapper bizTechnologicalProcessDetailDrawingRecordsMapper;

    /**
     * 查询电子图纸操作记录列表
     *
     * @param bizTechnologicalProcessDetailDrawingRecords 电子图纸操作记录
     * @return 电子图纸操作记录
     */
    @Override
    public List<BizTechnologicalProcessDetailDrawingRecords> getList(BizTechnologicalProcessDetailDrawingRecords bizTechnologicalProcessDetailDrawingRecords)
    {
        return bizTechnologicalProcessDetailDrawingRecordsMapper.getList(bizTechnologicalProcessDetailDrawingRecords);
    }

    /**
     * 物理删除
     * @param bizTechnologicalProcessDetailDrawingRecords
     * @return 删除结果
     */
    @Override
    public int physicalDelete(BizTechnologicalProcessDetailDrawingRecords bizTechnologicalProcessDetailDrawingRecords){ return bizTechnologicalProcessDetailDrawingRecordsMapper.physicalDelete(bizTechnologicalProcessDetailDrawingRecords); };

}
