package cn.ezhizao.project.tenant.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import cn.ezhizao.project.tenant.domain.BizUserTenant;

import java.util.List;

/**
 * 用户和租户的中间表Mapper接口
 *
 * @author zhushan
 * @date 2023-08-17
 */
public interface BizUserTenantMapper extends BaseMapper<BizUserTenant>
{
    /**
     * 查询用户和租户的中间表列表
     *
     * @param bizUserTenant 用户和租户的中间表
     * @return 用户和租户的中间表集合
     */
    public List<BizUserTenant> getList(BizUserTenant bizUserTenant);

    /**
     * 物理删除
     * @param bizUserTenant
     * @return 删除结果
    */
    public int physicalDelete(BizUserTenant bizUserTenant);
}
